Bug 598272

Summary: libvirt: Error launching VM: Failed to parse dir name 'usb1'
Product: [Fedora] Fedora Reporter: Paul Lambert <eb30750>
Component: libvirtAssignee: Cole Robinson <crobinso>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: low    
Version: 12CC: berrange, clalance, crobinso, hbrock, itamar, jforbes, veillard, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: libvirt-0.7.1-18.fc12 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-07-08 14:18:16 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Paul Lambert 2010-05-31 20:22:37 EDT
Description of problem:

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/engine.py", line 589, in run_domain
    vm.startup()
  File "/usr/share/virt-manager/virtManager/domain.py", line 150, in startup
    self._backend.create()
  File "/usr/lib64/python2.6/site-packages/libvirt.py", line 293, in create
    if ret == -1: raise libvirtError ('virDomainCreate() failed', dom=self)
libvirtError: internal error Failed to parse dir name 'usb1'

Version-Release number of selected component (if applicable):

abrt-addon-kerneloops.x86_64             1.0.9-2.fc12                   @updates
kernel.x86_64                            2.6.32.10-90.fc12              @updates
kernel.x86_64                            2.6.32.11-99.fc12              @updates
kernel.x86_64                            2.6.32.12-115.fc12             @updates
kernel-devel.x86_64                      2.6.32.10-90.fc12              @updates
kernel-devel.x86_64                      2.6.32.11-99.fc12              @updates
kernel-devel.x86_64                      2.6.32.12-115.fc12             @updates
kernel-firmware.noarch                   2.6.32.12-115.fc12             @updates
kernel-headers.x86_64                    2.6.32.12-115.fc12             @updates
abrt-plugin-kerneloopsreporter.x86_64    0.0.11-1.fc12                  fedora  
arm-gp2x-linux-kernel-headers.noarch     2.6.12.0-4.fc12                fedora  
dracut-kernel.noarch                     002-13.4.git8f397a9b.fc12      fedora  
erlang-kernel.x86_64                     R13B-04.12.fc12                updates 
kernel-debug.x86_64                      2.6.32.12-115.fc12             updates 
kernel-debug-devel.x86_64                2.6.32.12-115.fc12             updates 
kernel-doc.noarch                        2.6.32.12-115.fc12             updates


libvirt.x86_64                           0.7.1-16.fc12                  @updates
libvirt-client.x86_64                    0.7.1-16.fc12                  @updates
libvirt-python.x86_64                    0.7.1-16.fc12                  @updates
python-virtinst.noarch                   0.500.1-3.fc12                 @updates
virt-manager.noarch                      0.8.2-3.fc12                   @updates
virt-viewer.x86_64                       0.2.0-1.fc12                   @anacond

How reproducible: everytime


Steps to Reproduce:
1.  launch any VM
2.
3.
  
Actual results:  fails to launch


Expected results:  VMs launched OK before updates were applied.


Additional info:
Comment 1 Cole Robinson 2010-06-01 13:25:30 EDT
Can you provide:

sudo virsh dumpxml $vmname
lsusb

I think I know where the error is coming from, but just want to confirm.

You can probably work around this by removing the USB device XML attached to your guest, easiest way is to use virt-manager.
Comment 2 Paul Lambert 2010-06-01 19:42:21 EDT
Below are the virsh command output that you requested.  I did delete the USB devices from two VMs and then rebooted.  Same error this did NOT fix the problem.  I also rolled back the Virt-manager to the previous version, this did NOT fix the problem.  This appears to be related to a Python library patch.


<domain type='kvm'>
  <name>Windows-XP-SP3-Home-2003</name>
  <uuid>ee3bc9fe-a724-45b5-b675-11251f5c453f</uuid>
  <memory>786432</memory>
  <currentMemory>786432</currentMemory>
  <vcpu>2</vcpu>
  <os>
    <type arch='i686' machine='pc-0.11'>hvm</type>
    <boot dev='hd'/>
  </os>
  <features>
    <acpi/>
  </features>
  <clock offset='utc'/>
  <on_poweroff>destroy</on_poweroff>
  <on_reboot>restart</on_reboot>
  <on_crash>restart</on_crash>
  <devices>
    <emulator>/usr/bin/qemu-kvm</emulator>
    <disk type='file' device='disk'>
      <source file='/var/lib/libvirt/images/Windows-XP-SP3-Home-2003.img'/>
      <target dev='hda' bus='ide'/>
    </disk>
    <disk type='block' device='cdrom'>
      <driver name='qemu'/>
      <target dev='hdc' bus='ide'/>
      <readonly/>
    </disk>
    <interface type='network'>
      <mac address='52:54:00:51:15:4a'/>
      <source network='default'/>
      <model type='rtl8139'/>
    </interface>
    <serial type='pty'>
      <target port='0'/>
    </serial>
    <console type='pty'>
      <target port='0'/>
    </console>
    <input type='tablet' bus='usb'/>
    <input type='mouse' bus='ps2'/>
    <graphics type='vnc' port='-1' autoport='yes'/>
    <sound model='es1370'/>
    <video>
      <model type='cirrus' vram='9216' heads='1'/>
    </video>
    <hostdev mode='subsystem' type='usb' managed='yes'>
      <source>
        <vendor id='0x1d6b'/>
        <product id='0x0002'/>
      </source>
    </hostdev>
    <hostdev mode='subsystem' type='usb' managed='yes'>
      <source>
        <vendor id='0x1d6b'/>
        <product id='0x0002'/>
      </source>
    </hostdev>
  </devices>
</domain>


Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 002: ID 046d:09b8 Logitech, Inc. 
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Comment 3 Daniel Berrange 2010-06-02 06:42:07 EDT
Fix posted upstream

https://www.redhat.com/archives/libvir-list/2010-June/msg00017.html
Comment 5 Paul Lambert 2010-06-04 15:19:06 EDT
Is there an estimated relaese date for this fix?  I have been without a working VM for over a week now.
Comment 6 Cole Robinson 2010-06-09 11:34:49 EDT
As mentioned in Comment 1, you should be able to work around this by removing the USB device from your guest. In virt-manager, go to the details section for your problematic VM, select all USB devices, click 'Remove' in the bottom right corner. You won't have access to the USB device, but the guest should run.

I'll be building a new libvirt package this week.
Comment 7 Fedora Update System 2010-06-17 12:55:43 EDT
libvirt-0.7.1-18.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/libvirt-0.7.1-18.fc12
Comment 8 Paul Lambert 2010-06-18 10:55:45 EDT
I have now upgraded to FE-13 and cannot use a USB device with a VM.  I performed a complete rebuild and then upgraded from the testing-updates repo.  The virt-manager version installed is 0.8.4-1.fc13.  This bug needs to be carried forward to FE-13.
Comment 9 Cole Robinson 2010-06-18 14:27:10 EDT
I also built this change for F13, the updated F12/F13 packages should be hitting the respective updates-testing very soon.
Comment 10 Fedora Update System 2010-06-21 09:02:25 EDT
libvirt-0.7.1-18.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libvirt'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/libvirt-0.7.1-18.fc12
Comment 11 Paul Lambert 2010-06-21 22:53:08 EDT
The USB libvirt launch problem for FE-13 has been corrected when updating to these packages: 

libvirt.x86_64 0:0.7.7-5.fc13                                                 
libvirt-client.x86_64 0:0.7.7-5.fc13                                          
libvirt-python.x86_64 0:0.7.7-5.fc13
Comment 12 Fedora Update System 2010-07-08 14:17:14 EDT
libvirt-0.7.1-18.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.